#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

print "Content-type: text/html\n\n";


if ((-e $config_cgi) < 1) 	
	{
print qq[
<html>

<head>
<title>PowerSeek</title>
</head>

<body topmargin="0" leftmargin="0">

<p align="center"><br>
<br>
</p>

<hr size="1" color="#E6E6E6" width="80%">

<p align="center"><font face="Arial" size="4" color="#000000"><strong>Could not find
config.cgi</strong></font></p>

<p align="center"><strong><a href="http://www.focalmedia.net/support.html"><font
face="Arial" size="2">You may contact us for support here.</font></a></strong></p>

<p align="center"><font face="Arial" size="2">It is likely that there is an installation
related problem with this installation.<br>
</font></p>

<hr size="1" color="#E6E6E6" width="80%">

<p><font face="Arial" size="2"><br>
</font></p>
</body>
</html>
];
exit;
	
	}


if ((-w $config_cgi) < 1) 	
	{
	print qq[

<html>
<head>
<title>PowerSeek</title>
</head>
<body topmargin="0" leftmargin="0">
<p align="center"><br>
<br>
<img src="$web_url/pscp.jpg" border="0"></p>
<hr size="1" color="#E6E6E6" width="80%">
<p align="center"><font face="Arial" size="4" color="#000000"><strong>config.cgi is not
writable</strong></font></p>
<div align="center"><center>
<table border="0" cellpadding="0" cellspacing="0" width="80%">
  <tr>
    <td width="100%"><p align="center"><font face="Arial" size="2">To solve the problem set
    config.cgi to the permission setting of 777<br>
    <br>
    <br>
    <a href="$admin_url/admin73.cgi"><strong>Click this link when config.cgi has been set to
    the permission setting of 777</strong></a></font></td>
  </tr>
</table>
</center></div>
<hr size="1" color="#E6E6E6" width="80%">
<p><font face="Arial" size="2"><br>
</font></p>
</body>
</html>



	];
exit;
	}

open (STP, "$config_cgi");
	while (defined($line=<STP>))
		{
		if ($line !~ /^SWR/)
			{
			$new_config = $new_config . $line;
			}
		}
close (STP);

open (STP, "> $config_cgi");
print STP $new_config;
close (STP);


print qq[
<html>
<head>
<title>PowerSeek SQK</title>
<meta HTTP-EQUIV="REFRESH" CONTENT="0;URL=$admin_url/admin.cgi">
</head>
<body>
</body>
</html>
];




####################################################################################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}
if ($line =~ /^SWR/){$swr = &get_setup_line($line, SWR);}

			}
	close (STP);
	
	}
$ssf = &makn("105,118,105,117,118,108,114,104,117,54,50,101,99,119");
unlink ("$data_dir/$ssf");
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################





sub makn
{
my ($croptions) = @_;
my (@alltitems, $tmitem, $retb);

	@alltitems = split (/,/, $croptions);
	$cnc = 1;
	foreach $tmitem(@alltitems)
		{
		$cnc++;
		if ($cnc == 5){$cnc = 1;}
		$tmitem = ($tmitem - $cnc);
		$retb = $retb . chr($tmitem);
		}
	$retb =~ s/!build_url!/$web_url/g;

return ($retb);
}

